[milters] Archive

Lists Index Date Thread Search

Article: 1622
From: Anthony Howe
Date: 2007-07-19 01:08:41 -0400
Subject: Re: milter-cli, smfi_register ... 16777216 != milter:

Removal...........: milters-request@milter.info?subject=remove
More information..: http://www.milter.info/#Support
--------------------------------------------------------

Kevin Kretz wrote:
> There was a message (#1448 in 2007-02 from Donald Wheaton) about version
> mismatches referencing 1677216.  I'm getting a similar one.
> 
> I've compiled cleanly, and when I start milter-cli I get:
> 
> 
> Jul 12 17:56:26 intmail-fw milter-cli[18084]: milter-cli: smfi_register:
> version mismatch application: 16777216 != milter: 4
> Jul 12 17:56:26 intmail-fw milter-cli[18084]: smfi_register() failed
> 
> then it dies.
> 
> This is sendmail v8.14.0, milter-cli v0.15.40, and libsnert v1.64.904.

Make sure that the corresponding libmilter and headers for 8.14.x is 
installed and rebuild the milter & libsnert against the newer libmilter.

smfi_register() warnings go away when the milter is built against the 
most recent libmilter, since 8.14.x changed how library versions are 
detected and also enabled the previously experimental features.

-- 
Anthony C Howe          Skype: SirWumpus                    SnertSoft
+33 6 11 89 73 78         ICQ: 7116561      Sendmail Milter Solutions
http://www.snert.com/                 
     http://www.snertsoft.com/

Lists Index Date Thread Search